<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS Lesson2</title>
</head>
<body>
    <hr>
    <p>
        Первое задание
    </p>
    <script>
        let a = +prompt('Введите первое число','0');
        let b = +prompt('Введите второе число','0');
        if((a!== NaN)&&(b!==NaN))
        {
            ((a+b)<4)?document.write('Мало'):document.write('Много');
        }
        else {document.write('Ошибка ввода');}
    </script>
    <br>
    <hr>
    <p>
        второе задание
    </p>
    <script>
        var message;
        let login = prompt('Введите логин','1');
        (login == 'вася')?message='Привет':
            (login == 'директор')?message='Здравствуйте':
                (login === '')?message='Нет логина':message='n/a';  
        document.write(message);
    </script>
    <br>
    <hr>
    <p>
        третье задание
    </p>
    <script>
        let A = +prompt('Введите первое число','0');
        let B = +prompt('Введите второе число','0');
        if((A!== NaN)&&(B!==NaN)&&(A<B))
        {
            while (1)
            {
                document.write(A);
                if(A==B){break;}
                document.write(',');
                A++;
            }
        }
        else {document.write('Ошибка ввода');}
    </script>
    <br>
    <hr>
    <p>
        четвертое задание
    </p>
    <pre>
        <script>
            let size = 10;
            //Прямоугольник
            let w = +prompt('Введите ширину','0');
            let h = +prompt('Введите Высоту','0');
            if((w!== NaN)&&(h!==NaN)&&(w>0)&&(h>0))
            {
                let i = 0;
                let k = 0;
                document.write(`<br>`);
                i = 0;
                k = 0;
                while(i < h)
                {
                    while(k < (w))
                    {
                        document.write(`*`);
                        k++;
                    }
                    document.write(`<br>`);
                    k = 0;
                    i++;
                }
                //Прямоугольный треугольник
                
                document.write(`<br>`);
                document.write(`<br>`);
                i = 0;
                while(i < h)
                {
                    k = 0;
                    while(k <= i)
                    {
                        document.write(`*`);
                        k++;
                    }
                    document.write(`<br>`);
                    i++;
                }
                i = 0;
                //Ромб
                document.write(`<br>`);
                var pos_h = h/2;
                var pos_w_l = w/2;
                var pos_w_r = w/2;
                let flag = true;

               
                var ww = 1
                i = 0;
                k = 0;
                while (i < h)
                {
                    k = 0;
                    while (k < w)
                    {   
                        if (k == pos_w_l) 
                        { 
                            for(let j = 0; j<ww;j++)
                            {

                                document.write('*');
                            }
                            if (ww>=w){flag = false;}
                            if (flag) {ww= ww+2;pos_w_l--;}else{ww=ww-2;pos_w_l++;}
                            break;
                        }
                        else
                        {
                            document.write(`&nbsp`);
                        }
                       // pos_h++;
                        k++;
                    }
                    document.write(`<br>`);
                    i++;
                }
            }
            else {document.write('Ошибка ввода');}
        </script>
    </pre>
    <br>
    <hr>
</body>
</html>